Dallas Semiconductor 1-Wire API 1.00 Alpha: Class Contact

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Class Contact

    java.lang.Object
      |
      +--com.dalsemi.onewire.application.tag.TaggedDevice
            |
            +--com.dalsemi.onewire.application.tag.Contact

All Implemented Interfaces:
  TaggedSensor

public class Contact
extends TaggedDevice
implements TaggedSensor

This class provides a default object for the Contact type of a tagged 1-Wire device.

Fields inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`branchVector, channel, clusterName, DeviceContainer, DeviceType, init, label, max, min, state`

Constructor Summary
`Contact()` Creates an object for the device.
`Contact(DSPortAdapter adapter, String netAddress)` Creates an object for the device with the supplied address and device type connected to the supplied port adapter.

Method Summary
`String` | `readSensor()` The readSensor method returns the "max" string if the Sensor is present or the "min" string if the Sensor is not present.

Methods inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`getBranches, getChannel, getChannelAsString, getClusterName, getDeviceContainer, getDeviceType, getInit, getLabel, getMax, getMin, getOWPath, setBranches, setChannel, setChannelFromString, setClusterName, setDeviceContainer, setDeviceType, setInit, setLabel, setOWPath, setOWPath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contact

    public Contact()

  Creates an object for the device.

### Contact

    public Contact(DSPortAdapter adapter,
                   String netAddress)

  Creates an object for the device with the supplied address and device type connected to the supplied port adapter.
  Parameters:
    `adapter` - The adapter serving the sensor.
    `NetAddress` - The 1-Wire network address of the sensor.
    `netAddress` -

Method Detail

### readSensor

    public String readSensor()
                      throws OneWireException

  The readSensor method returns the "max" string if the Sensor is present or the "min" string if the Sensor is not present.
  Specified by:
    `readSensor` in interface `TaggedSensor`
  Returns:
    The "max" string if sensor is present or "min" string if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD